Bug 1291600 - (CVE-2015-7214) CVE-2015-7214 Mozilla: Cross-site reading attack through data: and view-source: URIs (MFSA 2015-149)
CVE-2015-7214 Mozilla: Cross-site reading attack through data: and view-sourc...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20151216,repo...
: Security
Depends On:
Blocks: 1290704
  Show dependency treegraph
 
Reported: 2015-12-15 04:02 EST by Huzaifa S. Sidhpurwala
Modified: 2016-01-05 14:46 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-05 14:46:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2015-12-15 04:02:36 EST
Security researcher Tsubasa Iinuma reported a mechanism to violate same-origin policy to content using data: and view-soure: URIs to confuse protections and bypass restrictions. This resulted in the ability to read data from cross-site URLs and local files. 


External Reference:

https://www.mozilla.org/security/announce/2015/mfsa2015-149.html


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Tsubasa Iinuma as the original reporter.
Comment 1 errata-xmlrpc 2015-12-16 13:23:56 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2015:2657 https://rhn.redhat.com/errata/RHSA-2015-2657.html
Comment 2 errata-xmlrpc 2016-01-05 10:35:23 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:0001 https://rhn.redhat.com/errata/RHSA-2016-0001.html

Note You need to log in before you can comment on or make changes to this bug.